<?php
	
	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminblogcategorieslistview.class.php" );
	
	class AdminBlogCategoriesAction extends AdminAction
	{
			
		function AdminBlogCategoriesAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
			
			$this->requireAdminPermission( "view_blog_categories" );
		}
		
		function perform()
		{
			$searchTerms = $this->_request->getValue( "searchTerms" );
			$this->_view = new AdminBlogCategoriesListView( $this->_blogInfo, Array( "searchTerms" => $searchTerms ));
			$this->setCommonData();
		}
	}
?>